#include <Juliet.h>

#if JULIET_DEBUG

#include <Core/Logging/LogManager.h>
#include <Core/Logging/LogTypes.h>

namespace Juliet::UnitTest
{
    // Forward declare the VectorUnitTest function
    void VectorUnitTest();
    void TestMemoryArena();

    void RunUnitTests()
    {
        LogMessage(LogCategory::Core, "Starting Unit Tests...");

        TestMemoryArena();
        VectorUnitTest();

        LogMessage(LogCategory::Core, "Unit Tests Completed Successfully.");
    }
} // namespace Juliet::UnitTest

#endif
